Bug 77964 - [A11Y] Module project properties dialog
[A11Y] Module project properties dialog
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Denis Anisimov
issues@apisupport
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-15 10:17 UTC by Tomas Danek
Modified: 2008-02-29 09:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2006-06-15 10:17:25 UTC
General:
- Mnemonic missing for "Categories"
- Please change acessible description from "N/A" to something useful (concerns a
lot of components)

---------------------------------------------------------------
Libraries panel:
 No Accessible description :
   Class: javax.swing.JButton {  Manage Java Platforms... |  }
   Class: javax.swing.JButton {  Manage Platforms... |  }
   Class: javax.swing.JComboBox {  Java Platform: |  }
   Class: javax.swing.JComboBox {  NetBeans Platform: |  }
----------------------------------------------------------------
API versioning:
 No Accessible name :
   Class: javax.swing.JList {  |  }

 No Accessible description :
   Class: javax.swing.JList {  |  }

 Components with no LABEL_FOR pointing to it :
   Class: javax.swing.JList {  |  }

 Don't know which JList is it?!
--------------------------------------------------------
Build|Copmiling

No Accessible description :
  Class: javax.swing.JTextField {  Additional Compiler Options: |  }

---------------------------------------------------------
Comment 1 Denis Anisimov 2008-02-26 13:48:19 UTC
I don't see reasons in mnemonics for "Categories". 
"Categories" is just label for Panel and there is no sense for mnemonics.
Comment 2 Denis Anisimov 2008-02-26 17:53:21 UTC
Fixed.
Will be committed.
Comment 3 Jesse Glick 2008-02-26 22:29:52 UTC
BTW please include the Hg changeset ID in the IZ comment when closing something as FIXED.
Comment 4 Denis Anisimov 2008-02-27 07:59:50 UTC
changeset : 69786:0703fd3beff0
Comment 5 Denis Anisimov 2008-02-27 13:56:45 UTC
Please note that there is no label for pointed JList so 
absence of label that is property LABEL_FOR for JList is normal.
Comment 6 Jesse Glick 2008-02-27 19:48:10 UTC
Please make sure you set a valid Target Milestone when resolving an issue as FIXED.
Comment 7 Lukas Hasik 2008-02-29 09:02:03 UTC
verified in 2/28 build

===============================================
 Tested Window title : Project Properties - module1
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   - none.

 No Accessible description :
   - none.

 Label with LABEL_FOR not set :
   - none.

 Components with no LABEL_FOR pointing to it :
   Class: org.openide.explorer.view.TreeView$ExplorerTree {  Properties Category |  N/A }
*this one filled separatelly - issue 128792

 Components with no mnemonic :
   - none.

 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.

 Components not reachable with tab traversal :
   - none.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo